searchNodes=[{"type":"module","title":"Exisbn","doc":"Documentation for Exisbn .","ref":"Exisbn.html"},{"type":"function","title":"Exisbn.checkdigit_correct?/1","doc":"Takes an ISBN (10 or 13) and checks its validity by its check digit Examples iex&gt; Exisbn . checkdigit_correct? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . checkdigit_correct? ( &quot;978-5-12345-678&quot; ) false","ref":"Exisbn.html#checkdigit_correct?/1"},{"type":"function","title":"Exisbn.correct_hyphens?/1","doc":"Checks if an ISBN (10 or 13) code is correctly hyphenated. If ISBN incorrect, that count as no. Examples iex&gt; Exisbn . correct_hyphens? ( &quot;978-85-359-0277-8&quot; ) true iex&gt; Exisbn . correct_hyphens? ( &quot;97-8853590277-8&quot; ) false iex&gt; Exisbn . correct_hyphens? ( &quot;0-306-40615-2&quot; ) true iex&gt; Exisbn . correct_hyphens? ( &quot;03-064-06152&quot; ) false iex&gt; Exisbn . correct_hyphens? ( &quot;str&quot; ) false","ref":"Exisbn.html#correct_hyphens?/1"},{"type":"function","title":"Exisbn.fetch_checkdigit/1","doc":"Takes an ISBN and returns its checkdigit. Examples iex&gt; Exisbn . fetch_checkdigit ( &quot;9788535902778&quot; ) { :ok , &quot;8&quot; } iex&gt; Exisbn . fetch_checkdigit ( &quot;2-1234-5680-2&quot; ) { :ok , &quot;2&quot; } iex&gt; Exisbn . fetch_checkdigit ( &quot;str&quot; ) { :error , :invalid_isbn } iex&gt; Exisbn . fetch_checkdigit ( &quot;887385107X&quot; ) { :ok , &quot;X&quot; }","ref":"Exisbn.html#fetch_checkdigit/1"},{"type":"function","title":"Exisbn.fetch_prefix/1","doc":"Takes an ISBN and returns its prefix. Examples iex&gt; Exisbn . fetch_prefix ( &quot;9788535902778&quot; ) { :ok , &quot;978-85&quot; } iex&gt; Exisbn . fetch_prefix ( &quot;2-1234-5680-2&quot; ) { :ok , &quot;978-2&quot; } iex&gt; Exisbn . fetch_prefix ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#fetch_prefix/1"},{"type":"function","title":"Exisbn.fetch_publication_element/1","doc":"Takes an ISBN and returns its publication element. Examples iex&gt; Exisbn . fetch_publication_element ( &quot;978-1-86197-876-9&quot; ) { :ok , &quot;876&quot; } iex&gt; Exisbn . fetch_publication_element ( &quot;9789529351787&quot; ) { :ok , &quot;5178&quot; } iex&gt; Exisbn . fetch_publication_element ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#fetch_publication_element/1"},{"type":"function","title":"Exisbn.fetch_registrant_element/1","doc":"Takes an ISBN and returns its registrant element. Examples iex&gt; Exisbn . fetch_registrant_element ( &quot;9788535902778&quot; ) { :ok , &quot;359&quot; } iex&gt; Exisbn . fetch_registrant_element ( &quot;978-1-86197-876-9&quot; ) { :ok , &quot;86197&quot; } iex&gt; Exisbn . fetch_registrant_element ( &quot;9789529351787&quot; ) { :ok , &quot;93&quot; } iex&gt; Exisbn . fetch_registrant_element ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#fetch_registrant_element/1"},{"type":"function","title":"Exisbn.hyphenate/1","doc":"Takes an ISBN (10 or 13) and hyphenates it. Examples iex&gt; Exisbn . hyphenate ( &quot;9788535902778&quot; ) { :ok , &quot;978-85-359-0277-8&quot; } iex&gt; Exisbn . hyphenate ( &quot;0306406152&quot; ) { :ok , &quot;0-306-40615-2&quot; } iex&gt; Exisbn . hyphenate ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#hyphenate/1"},{"type":"function","title":"Exisbn.isbn10_checkdigit/1","doc":"Takes an ISBN 10 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn10_checkdigit ( &quot;85-359-0277&quot; ) { :ok , &quot;5&quot; } iex&gt; Exisbn . isbn10_checkdigit ( &quot;5-02-013850&quot; ) { :ok , &quot;9&quot; } iex&gt; Exisbn . isbn10_checkdigit ( &quot;0str&quot; ) { :error , :invalid_isbn } iex&gt; Exisbn . isbn10_checkdigit ( &quot;887385107&quot; ) { :ok , &quot;X&quot; }","ref":"Exisbn.html#isbn10_checkdigit/1"},{"type":"function","title":"Exisbn.isbn10_to_13/1","doc":"Takes an ISBN 10 and converts it to ISBN 13. Examples iex&gt; Exisbn . isbn10_to_13 ( &quot;85-359-0277-5&quot; ) { :ok , &quot;9788535902778&quot; } iex&gt; Exisbn . valid? ( &quot;9788535902778&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0306406152&quot; ) { :ok , &quot;9780306406157&quot; } iex&gt; Exisbn . valid? ( &quot;9780306406157&quot; ) true iex&gt; Exisbn . isbn10_to_13 ( &quot;0-19-853453123&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#isbn10_to_13/1"},{"type":"function","title":"Exisbn.isbn13_checkdigit/1","doc":"Takes an ISBN 13 code as string, returns its check digit. Examples iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-5-12345-678&quot; ) { :ok , &quot;1&quot; } iex&gt; Exisbn . isbn13_checkdigit ( &quot;978-0-306-40615&quot; ) { :ok , &quot;7&quot; } iex&gt; Exisbn . isbn13_checkdigit ( &quot;0str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#isbn13_checkdigit/1"},{"type":"function","title":"Exisbn.isbn13_to_10/1","doc":"Takes an ISBN 13 and converts it to ISBN 10. Examples iex&gt; Exisbn . isbn13_to_10 ( &quot;9788535902778&quot; ) { :ok , &quot;8535902775&quot; } iex&gt; Exisbn . valid? ( &quot;8535902775&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;9780306406157&quot; ) { :ok , &quot;0306406152&quot; } iex&gt; Exisbn . valid? ( &quot;0306406152&quot; ) true iex&gt; Exisbn . isbn13_to_10 ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#isbn13_to_10/1"},{"type":"function","title":"Exisbn.publisher_zone/1","doc":"Takes an ISBN and returns its publisher zone. Examples iex&gt; Exisbn . publisher_zone ( &quot;9788535902778&quot; ) { :ok , &quot;Brazil&quot; } iex&gt; Exisbn . publisher_zone ( &quot;2-1234-5680-2&quot; ) { :ok , &quot;French language&quot; } iex&gt; Exisbn . publisher_zone ( &quot;str&quot; ) { :error , :invalid_isbn }","ref":"Exisbn.html#publisher_zone/1"},{"type":"function","title":"Exisbn.valid?/1","doc":"Takes an ISBN (10 or 13) and checks its validity by checking the checkdigit, length and characters. Examples iex&gt; Exisbn . valid? ( &quot;978-5-12345-678-1&quot; ) true iex&gt; Exisbn . valid? ( &quot;978-5-12345-678&quot; ) false iex&gt; Exisbn . valid? ( &quot;85-359-0277-5&quot; ) true iex&gt; Exisbn . valid? ( &quot;85-359-0277&quot; ) false","ref":"Exisbn.html#valid?/1"},{"type":"module","title":"Exisbn.Regions","doc":"Regions dataset for internal library use.","ref":"Exisbn.Regions.html"},{"type":"function","title":"Exisbn.Regions.dataset/0","doc":"","ref":"Exisbn.Regions.html#dataset/0"}]